This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 83755 - Wanted: Some way to open file/URL "the GNOME way" from command line
Wanted: Some way to open file/URL "the GNOME way" from command line
Status: CLOSED UPSTREAM
Product: Red Hat Linux
Classification: Retired
Component: gnome-desktop (Show other bugs)
8.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Mark McLoughlin
: FutureFeature, MoveUpstream, Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-02-07 17:33 EST by Toralf
Modified: 2007-04-18 12:50 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-03-03 15:47:37 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Sample "fileopen" command (1.68 KB, text/x-c)
2003-02-23 12:27 EST, Toralf
no flags Details
filetype: Just display the file type, don't open file (624 bytes, text/x-c)
2003-02-23 12:39 EST, Toralf
no flags Details

  None (edit)
Description Toralf 2003-02-07 17:33:45 EST
Description of problem:
Something I've been thinking about for a long time: It would sometimes be
practical to be able to open a file or URL the "right" way according to the
desktop config from the command line, i.e. to have a single command that would
simulate double-click in desktop window for normal file arguments, do something
similar to "htmlview" (the current Raw Hide version that actually honours the
"Preferred Applications" settings) for http type URLs etc.

Enough said, I think.
Comment 1 Toralf 2003-02-23 12:27:06 EST
Created attachment 90294 [details]
Sample "fileopen" command

Of course, a separate app that will do this is not hard to write; see
attachment.
Comment 2 Toralf 2003-02-23 12:39:16 EST
Created attachment 90295 [details]
filetype: Just display the file type,  don't open file

Thought I might throw in another one for good measure; this is "filetype",
which will just display the MIME type of the files (or URIs) passed on the
command line. In other words, it's rather like good, old "file", but will look
up information in the GNOM file type database instead of "magic".
Comment 3 Mark McLoughlin 2004-03-03 15:47:37 EST
I've just submitted an upstream bug report requesting such a program.
Take a look at the patch attached to the bug.

   http://bugzilla.gnome.org/show_bug.cgi?id=136108

Note You need to log in before you can comment on or make changes to this bug.